* Program to produce the font table appearing in the manual
      character*40 string
      character bsl
      character*2 bbsl, be, bf(7)
      COMMON /MONGOPAR/
     1 X1,X2,Y1,Y2, GX1,GX2,GY1,GY2, LX1,LX2,LY1,LY2,
     1 XP,YP, CXP,CYP

      bsl = char(92)
      bbsl = bsl // bsl
      be = bsl // 'e'
      bf(1) = bsl // 't'
      bf(2) = bsl // 'r'
      bf(3) = bsl // 'p'
      bf(4) = bsl // 'i'
      bf(5) = bsl // 'g'
      bf(6) = bsl // 's'
      bf(7) = bsl // 'o'

      write(6,6000) 'Enter device number: '
6000  format(1x,a,$)
      read(5,*) iterm
      call mgoinit
      call mgosetup(iterm)
      call mgoerase
      if(iterm.lt.0) then
C          call mgosetlweight(2)
      end if
      gx1 = 0.1*lx2
      gx2 = lx2 - gx1
      gy1 = 0.08*ly2
      gy2 = ly2 - 2*gy1
      call mgosetloc(gx1,gy1,gx2,gy2)
      ny = 32
      nx = 7
      ncol = (nx+1)*(96/ny)
      x1 = -1
      x2 = float(ncol) - 1
      y1 = float(ny)
      y2 = -3
      call mgosetlim(x1,y1,x2,y2)
      call mgorelocate(x1,y1)
      call mgodraw(x1,y2)
      call mgodraw(x2,y2)
      call mgodraw(x2,y1)
      call mgodraw(x1,y1)
      call mgorelocate(.5*(x1+x2),y2-1)
      string = 'MONGO Font Table' // be
      call mgoputlabel(40,string,8)

      do 1 i = 32,126
          if(i.eq.92) goto 1
          do 2 j = 1,nx
              x = ((i-32) / ny) * (nx + 1) + j - 1
              y = mod(i-32,ny)
              call mgorelocate(x,y)
              string = bf(j) // char(i) // be
              call mgoputlabel(20,string,5)
2         continue
1     continue
      do 10 i = 1,96/ny
          y = -2
          do 11 j = 1,nx
              x = (i-1)*(nx+1) + j - 1
              call mgorelocate(x,y)
              string = bf(j)(2:2) // be
              call mgoputlabel(20,string,5)
11        continue
10    continue
      call mgorelocate(x1,-1.)
      call mgodraw(x2,-1.)
      do 900 i = 1,96/ny-1
          x = i * (nx + 1) - 1
          call mgorelocate(x,y1)
          call mgodraw(x,y2)
900   continue
      if(iterm.lt.0) then
          call mgoprntplot(nvec)
          write(6,*) nvec, ' vectors plotted'
      else
          call mgotidle
          read(5,*)
      end if
      stop
      end
