* Program to read a MONGO command file and make an example of it
      character*80 line(51)
      character*80 data(50)
      character*100 string
      character*80 input, fspec
      character bs
      common /mongopar/ x1,x2,y1,y2,gx1,gx2,gy1,gy2

      bs = char(92)
      write(6,6000) 'Enter MONGO command file: '
6000  format(1x,a,$)
      read(5,1000) input
      open(unit=1,file=input,status='old')
      nline = 0
      do 900 i = 1,50
          read(1,1000,end=1) line(i)
1000      format(a)
          nline = nline + 1
900   continue
1     continue
      idata = 0
      do 901 i = 1,nline
          if(line(i)(1:4).eq.'data') then
              fspec = line(i)(6:lenc(line(i)))
              idata = 1
          end if
901   continue
      if(idata.eq.0) goto 2
      i = 1
      do 902 i = 1,lenc(fspec)
          if(fspec(i:i).eq.'!') then
              fspec = fspec(1:i-1)
              goto 3
          end if
902   continue
3     continue
      open(unit=2,file=fspec,status='old')
      ndata = 0
      do 903 i = 1,50
          read(2,1000,end=2) data(i)
          ndata = ndata + 1
903   continue
2     continue
      close(2)
      write(6,6000) 'Enter device (+/- for terminal/printer): '
      read(5,*) iterm
      call mgosetup(iterm)
      if(iterm.lt.0) then
          call mgoprntinit
      else
          call mgoerase
      end if
      top = gy2
      xleft = gx1
      xright = gx2
      textsize = .5
      textspace = 35

      call mgosetloc(gx1,gy1,gx2,gy1+0.5*(gy2-gy1))
      line(nline+1) = 'end'
      call mongo(nline+1,line,1,1,dummy)

      if(iterm.gt.0) goto 999
C      call mgosetlweight(2)
      call mgosetangle(0.)
      call mgosetltype(0)
      call mgosetexpand(1.)
      x = xleft
      y = top

      call mgogrelocate(x,y)
      string = 'Input: '//input(1:lenc(input))//bs//'e'
      call mgoputlabel(100,string,9)
      call mgosetexpand(textsize)
      do 904 i = 1,nline
          y = top - textspace*i
          call mgogrelocate(x,y)
          call gussieup(line(i),string)
          call mgolabel(100,string)
904   continue
      if(ndata.eq.0) goto 999
      x = xleft + 0.5*(xright-xleft)
      y = top
      call mgogrelocate(x,y)
      string = 'Data: '//fspec(1:lenc(fspec))//bs//'e'
      call mgosetexpand(1.0)
      call mgoputlabel(100,string,9)
      call mgosetexpand(textsize)
      do 905 i = 1,ndata
          y = top - textspace*i
          call mgogrelocate(x,y)
          string = bs//bs//'t'//data(i)(1:max(1,lenc(data(i))))//bs//'e'
          call mgolabel(100,string)
905   continue
999   if(iterm.lt.0) then
          call mgoprntplot(n)
          write(6,*) n,' vectors plotted'
      else
          call mgotidle
      end if
      stop
      end

      subroutine gussieup(line,string)
      character*(*) line, string
      character bs
      bs = char(92)
      string = bs//bs//'p'
      k = 3
      do 10 i = 1,lenc(line)
          k = k + 1
          if(line(i:i).ne.bs) then
              string(k:k) = line(i:i)
          else
              string(k:k+2) = bs//'s|'
              k = k + 2
          end if
10    continue
      k = k + 2
      string(k-1:k) = bs//'e'
      return
      end

      function lenc(s)
      character*(*) s
      do 10 i = len(s),1,-1
          lenc = i
          if(s(i:i).ne.' '.and.s(i:i).ne.'	' .and.
     1			ichar(s(i:i)).ne.0) return
10    continue
      return
      end
