      parameter (n=50, pi=3.14195265)
      real z(2*n,n)
      character*80 com(7), line

      write(6,'(1x,a,$)') 'Enter output device (+/- for term/printer): '
      read(5,*) iterm
      write(line,'(i1)') iabs(iterm)
      do 10 j = 1,n
          y = 4*pi*(2*j-(n+1))/float(n-1)
          do 11 i = 1,2*n
              x = 4*pi*(2*i-(2*n+1))/float(2*n-1)
              r = sqrt(x*x+y*y)
              z(i,j) = cos(r)/(1+r)
11        continue
10    continue
      com(2) = 'input test3d.pl'
      com(3) = 'partition'
      com(4) = 'plot1'
      com(5) = 'plot2'
      com(6) = 'plot3'
      if(iterm.gt.0) then
          com(1) = 'terminal ' // line(1:1)
          ncom = 6
      else
          com(1) = 'printer ' // line(1:1)
          com(7) = 'hardcopy'
          ncom = 7
      end if
      call mongo(ncom,com,2*n,n,z)
      stop
      end
