      REAL X(100), Y(100)
      CHARACTER*80 STRING
C Inquire which output device to use
      WRITE(6,6000) 'Enter terminal number (- for printer): '
6000  FORMAT(1X,A,$)
      READ(5,*) ITERM
C Initialize \MONGO\ for the selected output device
      CALL MGOINIT
      CALL MGOSETUP(ITERM)
      CALL MGOERASE
      IF(ITERM.LT.0) THEN
          CALL MGOSETLWEIGHT(2)
      END IF
      PI = 3.14159265
C Set the user coordinates and make a coordinate box
      CALL MGOSETLIM(0.,-1.5,2*PI,1.5)
      CALL MGOBOX(1,2)
C Compute the points on the curve
      DO 10 I = 1,100
          ANGLE = 2*PI*FLOAT(I-1)/99
          X(I) = ANGLE
          Y(I) = COS(ANGLE)**3
10    CONTINUE
C Draw the curve
      CALL MGOCONNECT(X,Y,100)
C Plot ``+'' symbols at each point
      CALL MGOSETANGLE(45.)
      CALL MGOPOINTS(41.0,1,X,Y,100)
      CALL MGOSETANGLE(0.)
C Put a label on the plot
      CALL MGOSETEXPAND(2.)
      WRITE(STRING,1000) 
1000  FORMAT('y = cos\\u3(x)\\e')
      CALL MGORELOCATE(.5,1.2)
      CALL MGOLABEL(80,STRING)
C Finish the plot
      IF(ITERM.LT.0) THEN
          CALL MGOPRNTPLOT(NVEC)
          WRITE(6,*) NVEC, ' vectors plotted'
      ELSE
          CALL MGOTIDLE
      END IF
      STOP
      END
