! \9 = example count
! \8 = gy for example list
! \7 = gy1 storage
! \6 = gx2 storage
! \5 = gx1 storage
! \4 = label spacing

define circle
set \2 &1
set \3 &2
relocate \2 \3
set \0 expand
set \1 p(1)
expand 2
ptype 20 0
dot
expand .5
ptype \1
relocate \2 \3
putlabel 5 \\p\9
expand \0
end

define swaploc
set \0 gx1
set gx1 \5
set \5 \0
set \0 gx2
set gx2 \6
set \6 \0
set \0 gy1
set gy1 \7
set \7 \0
end

define stepyes
set \8 \8 - \4
swaploc
circle x y
set gx \5
set gy \8
circle x y
set \0 \4 * 3
set gx \5 + \0
set gy \8
set \0 expand
expand .5
label \\p&1 &2 &3 &4 &5 &6 &7 &8 &9
expand \0
set \9 \9 + 1
set \8 \8 - \4
swaploc
end

define stepno
swaploc
set \0 \4 * 3
set gx \5 + \0
set gy \8
set \0 expand
expand .5
label \\p&1 &2 &3 &4 &5 &6 &7 &8 &9
expand \0
set \8 \8 - \4
swaploc
end

define example
set \9 1
limits 0 1 0 1
relocate .2 .6
set \5 gx
set \7 gy
relocate .9 .5
set \6 gx
set \8 gy
relocate 0 .5
draw 1 .5
set \4 numdev * 2
set \4 30 - \4
set \8 \8 - \4
swaploc

limits 0 6.28 -1.3 1.3
box
relocate 6.7 1
stepyes limits 0 6.28 -1.3 1.3
stepno box

data example.dat
xcolumn 1
ycolumn 2
connect
relocate .8 .4
stepyes data example.dat
stepno xcolumn 1
stepno ycolumn 2
stepno connect

xlabel Time (sec)
relocate 2.0 -1.7
stepyes xlabel Time (sec)

ylabel Position (cm)
relocate x -.8
stepyes ylabel Position (cm)

relocate 3.14 0
putlabel 5 sine-wave
relocate 2.0 y
stepyes relocate 3.14 0
stepno putlabel 5 sine-wave

limits 0 6.28 1.3 -1.3
lines 1 10
xcolumn 1
ycolumn 2
ptype 4 0
points
relocate .8 .4
stepyes limits 0 6.28 1.3 -1.3
stepno lines 1 10
stepno xcolumn 1
stepno ycolumn 2
stepno ptype 4 0
stepno points

lines 13 1000
xcolumn 1
ycolumn 3
points
ecolumn 4
errorbar 2
errorbar 4
relocate x(1) y(1)
set gx gx - \4
set gy gy + \4
stepyes lines 13 1000
stepno xcolumn 1
stepno ycolumn 3
stepno points
stepno ecolumn 4
stepno errorbar 2
stepno errorbar 4

end

